Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class ProtectedModeTemplateBlock

    java.lang.Object
      dioscuri.module.cpu32.ProtectedModeTemplateBlock

All Implemented Interfaces:
  CodeBlock, ProtectedModeCodeBlock

Direct Known Subclasses:
  ProtectedModeSkeletonBlock

    public abstract class ProtectedModeTemplateBlock

extends java.lang.Object
implements ProtectedModeCodeBlock

Author:
  Bram Lohman, Bart Kiers

Field Summary
`protected static ProcessorException` | `exceptionDE`
`protected static ProcessorException` | `exceptionGP`
`protected static ProcessorException` | `exceptionSS`
`protected static ProcessorException` | `exceptionUD`
`protected static boolean[]` | `parityMap`

Constructor Summary
`ProtectedModeTemplateBlock()`

Method Summary
`java.lang.String` | `getDisplayString()`
`boolean` | `handleMemoryRegionChange(int startAddress, int endAddress)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface dioscuri.module.cpu32.CodeBlock
`execute, getX86Count, getX86Length`

Field Detail

### exceptionDE

    protected static final ProcessorException exceptionDE

### exceptionGP

    protected static final ProcessorException exceptionGP

### exceptionSS

    protected static final ProcessorException exceptionSS

### exceptionUD

    protected static final ProcessorException exceptionUD

### parityMap

    protected static final boolean[] parityMap

Constructor Detail

### ProtectedModeTemplateBlock

    public ProtectedModeTemplateBlock()

Method Detail

### getDisplayString

    public java.lang.String getDisplayString()

  Specified by:
    `getDisplayString` in interface `CodeBlock`
  Returns:
    -

### handleMemoryRegionChange

    public boolean handleMemoryRegionChange(int startAddress,
                                            int endAddress)

  Specified by:
    `handleMemoryRegionChange` in interface `CodeBlock`
  Parameters:
    `startAddress` -
    `endAddress` -
  Returns:
    -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD